summary.de-method {GA} | R Documentation

## Summary for Differential Evolution

### Description

Summary method for class `de-class`.

### Usage

    ## S4 method for signature 'de'
    summary(object, ...)

    ## S3 method for class 'summary.de'
    print(x, digits = getOption("digits"), ...)

### Arguments

`object` | an object of class `de-class`.
`x` | an object of class `summary.de`.
`digits` | number of significant digits.
`...` | further arguments passed to or from other methods.

### Value

The `summary` function returns an object of class `summary.de` which can be printed by the corresponding `print` method. The function also returns invisibly a list with the information from the differential evolution search.

### Author(s)

Luca Scrucca

### See Also

`de`

### Examples

    f <- function(x) abs(x)+cos(x)
    DE <- de(fitness = function(x) -f(x),
             lower = -20, upper = 20, run = 50)
    out <- summary(DE)
    print(out)
    str(out)

[Package GA version 3.2 Index]